<!DOCTYPE html>
<?php


if(empty($_REQUEST['manufacturer_id'])) {
    echo "Please go through search page. (or redirect)";
    exit();
}
if(empty($_REQUEST['system_id'])) {
    echo "Please go through search page. (or redirect)";
    exit();
}
if(empty($_REQUEST['type_id'])) {
    echo "Please go through search page. (or redirect)";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

//include '../pdloginvariables.php';

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}



$sql = "SELECT 
            d.device_id,
            d.name AS device_name,
            d.price,
            d.img_url,
            s.system AS system_name,
            t.type AS device_type,
            m.manufacturer AS manufacturer_name
        FROM 
            devices d
        JOIN 
            systems s ON d.system_id = s.system_id
        JOIN 
            types t ON d.type_id = t.type_id
        JOIN 
            manufacturers m ON d.manufacturer_id = m.manufacturer_id
        WHERE 1=1";

if (!empty($_REQUEST['device_name'])) {
    $sql .= " AND d.name LIKE '%" . $mysql->real_escape_string($_REQUEST['device_name']) . "%'";
}

if (!empty($_REQUEST['manufacturer_id']) && $_REQUEST['manufacturer_id'] != "ALL") {
    $sql .= " AND m.manufacturer_id = '" . $mysql->real_escape_string($_REQUEST['manufacturer_id']) . "'";
}

if (!empty($_REQUEST['system_id']) && $_REQUEST['system_id'] != "ALL") {
    $sql .= " AND s.system_id = '" . $mysql->real_escape_string($_REQUEST['system_id']) . "'";
}

if (!empty($_REQUEST['type_id']) && $_REQUEST['type_id'] != "ALL") {
    $sql .= " AND t.type_id = '" . $mysql->real_escape_string($_REQUEST['type_id']) . "'";
}

$results = $mysql->query($sql);

if ($results === false) {
    echo "Query failed: " . $mysql->error;
} else {
    echo "<em>Your results returned <strong>" . $results->num_rows . "</strong> results.</em>";
    echo "<br><br>";

    if ($results->num_rows > 0) {
        echo "<table>";
        echo "<tr>
                <th>Name</th>
                <th>Price</th>
                <th>Manufacturer</th>
                <th>System</th>
                <th>Type</th>
              </tr>";

        while ($currentrow = $results->fetch_assoc()) {
            echo "<tr>

                    <td><a href='details.php?id=" . $currentrow['device_id'] . "'>" . htmlspecialchars($currentrow['device_name']) . "</a></td>
                    <td>" ($currentrow['price']) . "</td>
                    <td>" ($currentrow['manufacturer_name']) . "</td>
                    <td>" ($currentrow['system_name']) . "</td>
                    <td>" ($currentrow['device_type']) . "</td>
                  </tr>";
        }

        echo "</table>";
    } else {
        echo "No results found.";
    }
}
?>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>


<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">


    </div>
    <?php
    echo "<em>Your results returned <strong>" .
        $results->num_rows .
        "</strong> results.</em>";
    echo "<br><br>";

    if ($results === false) {
        // Handle query error
        echo "Query failed: " . $mysql->error;
    } else {
        echo "<table>";
        echo "<tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
          </tr>";}

        while($currentrow = $results->fetch_assoc()) {
            echo "<tr>
                <td><a href='details.php?id=". $currentrow['device_id']."'>". $currentrow['device_name'] ."</a></td>
                <th>". $currentrow['price'] ."</th>
                <th>". $currentrow['manufacturer_name'] ."</th>
                <th>". $currentrow['system_name'] ."</th>
                <th>". $currentrow['device_type'] ."</th>
              </tr>";
        }

        echo "</table>";
    ?>
    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>



        <!--

        ****** SAMPLE OUTPUT ROW ******

        -->

        <tr>

            <td><a href="details.php?id=10">Pixel</a></td>

            <td>549.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Smartphone</td>

        </tr>

        <tr>

            <td><a href="details.php?id=11">Pixel 2</a></td>

            <td>649.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Smartphone</td>

        </tr>

        <tr>

            <td><a href="details.php?id=12">Pixelbook</a></td>

            <td>999.00</td>

            <td>Google</td>

            <td>Android</td>

            <td>Laptop</td>

        </tr>

    </table>

</div>

</body>

</html>
